[theora-dev] Ogg files incompatible

xiphmont at xiph.org xiphmont at xiph.org
Fri Feb 12 08:19:10 PST 2010

>> Right. As far as I know, they are using some old build of ffmpeg to
>> transcode Theora. This situation is, shall we say, less than ideal.
> Indeed, it's much less than ideal.  Do you know where I can find source code
> for older versions of libtheora?  I can't find any on the site and a Google
> search wasn't fruitful.  Since my ultimate goal is to upload video to
> YouTube, what matters is that it actually work, so compatibility is my
> priority...

There's a better way than using an old libtheora.  We anticipated the
need for continued compatability with VP3 and the new encoder can be
run in VP3 compat mode.  In this mode it will not use any features
that weren't available in VP3.  This obviously penalizes efficiency,
but it does work.

> If I'm not mistaken, they were encoded using ffmpeg2theora so that it's
> compatible with (the broken) ffmpeg shouldn't be surprising.  So basically,
> no one's using the "new" specification...

Plenty of people are using the new spec, but ffmpeg was very very late
to the party.


More information about the theora-dev mailing list